cc.funkemunky.api.tinyprotocol.packet.types

## Class BaseBlockPosition

- java.lang.Object
- - cc.funkemunky.api.tinyprotocol.api.NMSObject
  - - cc.funkemunky.api.tinyprotocol.packet.types.BaseBlockPosition

    public class BaseBlockPosition
    extends NMSObject

### Nested Class Summary

### Nested classes/interfaces inherited from class cc.funkemunky.api.tinyprotocol.api.NMSObject

`NMSObject.Client, NMSObject.Server, NMSObject.Type`

### Field Summary

Fields
`static BaseBlockPosition` `ZERO`

### Constructor Summary

Constructors
Constructor and Description
`BaseBlockPosition(double var1, double var3, double var5)`
`BaseBlockPosition(int var1, int var2, int var3)`
`BaseBlockPosition(java.lang.Object obj)`

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `c(double var1, double var3, double var5)`
`BaseBlockPosition` `d(BaseBlockPosition var1)`
`double` `d(double var1, double var3, double var5)`
`boolean` `equals(java.lang.Object var1)`
`int` `g(BaseBlockPosition var1)`
`java.lang.Object` `getAsBaseBlockPosition()`
`java.lang.Object` `getAsBlockPosition()`
`int` `getX()`
`int` `getY()`
`int` `getZ()`
`int` `hashCode()`
`double` `i(BaseBlockPosition var1)`

### Methods inherited from class cc.funkemunky.api.tinyprotocol.api.NMSObject

`construct, construct, construct, fetch, fetch, fetchField, fetchField, fetchFieldByName, getPacketName, process, setPacket, setPacket, setPacketArg, toBukkitStack`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ZERO

    public static final BaseBlockPosition ZERO

### Constructor Detail

#### BaseBlockPosition

    public BaseBlockPosition(java.lang.Object obj)

#### BaseBlockPosition

    public BaseBlockPosition(int var1,
                             int var2,
                             int var3)

#### BaseBlockPosition

    public BaseBlockPosition(double var1,
                             double var3,
                             double var5)

### Method Detail

#### equals

    public boolean equals(java.lang.Object var1)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### g

    public int g(BaseBlockPosition var1)

#### getX

    public int getX()

#### getY

    public int getY()

#### getZ

    public int getZ()

#### d

    public BaseBlockPosition d(BaseBlockPosition var1)

#### c

    public double c(double var1,
                    double var3,
                    double var5)

#### d

    public double d(double var1,
                    double var3,
                    double var5)

#### i

    public double i(BaseBlockPosition var1)

#### getAsBaseBlockPosition

    public java.lang.Object getAsBaseBlockPosition()

#### getAsBlockPosition

    public java.lang.Object getAsBlockPosition()